package main

import (
	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

func (p *node) newGroup(n *node) {
	newt := new(guiWidget)

	g := ui.NewGroup(getString(n.value))
	g.SetMargined(true)
	newt.uiGroup = g
	newt.uiControl = g

	n.tk = newt
	p.place(n)
}
